<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.ibs.grid.mapper.VirtualGridRuleMapper">
    
    <resultMap type="VirtualGridRule" id="GridVirtualRuleResult">
        <result property="id"    column="id"    />
        <result property="gridId"    column="grid_id"    />
        <result property="relateType"    column="relate_type"    />
        <result property="ruleOrder"    column="rule_order"    />
        <result property="ruleKey"    column="rule_key"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="deleteFlag"    column="delete_flag"    />
    </resultMap>

    <sql id="selectGridVirtualRuleVo">
        select id, grid_id, relate_type, rule_order, rule_key, create_by, create_time, delete_flag from grid_virtual_rule
    </sql>

</mapper>